Page MenuHomePhabricator

Only a part of MAKI symbols is available (previously map icon "castle" broken)
Open, Stalled, Needs TriagePublic

Description

Previous description:
"castle" fails to load, see map test.

Updated description:
Kartotherian currently includes Maki 0.5.0, which is not the latest version of Maki icons documented on mapbox.com. Therefore, some icons, like the castle icon, are not available yet.

See the list of available icons at mw:Maps/Icons

This task was mentioned at Community-Wishlist-Survey-2017 (https://meta.wikimedia.org/wiki/2017_Community_Wishlist_Survey/Miscellaneous/Kartographer_improvements), which got the No.1 out of 214 proposals.

Event Timeline

jeblad created this task.Jul 25 2016, 8:36 PM
Restricted Application added a project: Discovery. · View Herald TranscriptJul 25 2016, 8:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
MaxSem added a project: Maps-Sprint.

@jeblad Kartotherian currently includes Maki 0.5.0, which is not the latest version of Maki icons documented on mapbox.com. Therefore, the castle icon is not available yet.

I quickly computed a list of available icons:

aerialway, airfield, airport, alcohol-shop, america-football, art-gallery, bakery, bank, bar, baseball, basketball, beer, bicycle, building, bus, cafe, camera, campsite, car, cemetery, chemist, cinema, circle, circle-stroked, city, clothing-store, college, commercial, cricket, cross, dam, danger, dentist, disability, dog-park, embassy, emergency-telephone, entrance, farm, fast-food, ferry, fire-station, fuel, garden, gift, golf, grocery, hairdresser, harbor, heart, heliport, hospital, ice-cream, industrial, land-use, laundry, library, lighthouse, lodging, logging, london-underground, marker, marker-stroked, minefield, mobilephone, monument, museum, music, oil-well, park, park2, parking, parking-garage, pharmacy, pitch, place-of-worship, playground, police, polling-place, post, prison, rail, rail-above, rail-light, rail-metro, rail-underground, religious-christian, religious-jewish, religious-muslim, restaurant, roadblock, rocket, school, scooter, shop, skiing, slaughterhouse, soccer, square, square-stroked, star, star-stroked, suitcase, swimming, telephone, tennis, theatre, toilets, town, town-hall, triangle, triangle-stroked, village, warehouse, waste-basket, water, wetland, zoo

It seems like it would be helpful to make a webpage that displays this list with the icon image.

Yurik moved this task from Kartographer to Kartographer on the Maps board.Dec 6 2016, 3:29 PM
Yurik edited projects, added Maps (Kartographer); removed Maps.

Certain icons not appearing (but being valid input) was also noticed by a contributor here: https://www.mediawiki.org/wiki/Help_talk:Extension:Kartographer#Topographical_details

Yurik added a subscriber: Yurik.EditedDec 15 2016, 3:34 PM

@CKoerner_WMF, string "castle" is not valid for "marker-symbol", but we have no easy way to validate it during page editing, and even if we did validate it, its a trade off between one tiny icon crashing the whole graph (replacing it with a big red box); or to just break one small icon, with all other functionality continuing to work - I am not sure what is best, but in the wikimarkup we tend to go on the lenient side.

Only the icons listed above by @JGirault are supported at this point. Castle is part of maki v2, and that version substantially departed from the v1 we use in the way it shows these icons. We have to enhance the list of icons at some point, but for now only the above icons will work.

A big todo is to document all these icons somewhere. dewiki has made a nice map (it should be copied to our help pages too i think) -- that lists all the icons, together with the broken ones from maki v2: https://de.wikipedia.org/wiki/Hilfe:Kartographer#/maplink/0

Sorry, using a word like 'valid' confused things. By valid I meant a listed marker type as listed at https://www.mapbox.com/maki-icons/, which we reference in our documentation.

I think it makes sense to not link to the full list if users (such as the person who pointed this out to me discovered) are not able to use them in Wikimedia maps. They do not know that we are not including the full library of icons and the resulting map appears 'broken'.

I created Maps/Icons (based on the German page you linked to) and changed the link to that reference.

Yurik added a comment.Dec 15 2016, 4:04 PM

Awesome, thanks Chris! It also highlighted another issue -- while we are more lenient when it comes to interactive maps, the static service crashes on broken images. Maybe we should validate them... Could you file a task for that?

debt added a subscriber: debt.Dec 16 2016, 12:21 AM

I've also updated the help pages that reference the Maki icons.

The authoritative source for Maki 0.5.0 icons is https://github.com/mapbox/maki/tree/v0.5.0. It should be possible to build the old documentation for that version somehow.

The list of icons at mw:Maps/Icons was broken and contained a few mistakes. I fixed it.

I think it is useful to upload the Maki icons to Wikimedia Commons in several colors, at least in both black and white, to use them in text referring to the map.

@RolandUnger are you suggesting uploading each icon as displayed below to Commons? If so I suggest we create a separate task to track that work.

JGirault renamed this task from Maki icon "castle" broken to Only a part of MAKI symbols is available (previously map icon "castle" broken).Feb 21 2017, 11:17 PM
JGirault updated the task description. (Show Details)
JGirault updated the task description. (Show Details)Feb 21 2017, 11:20 PM

Any progress? Is this still worked on?

debt added a comment.Nov 20 2017, 10:59 PM

@Vachovec1 - unfortunately, no. This is not being worked on as we don't have engineering resources to tackle it.

Just coming into this. I see a variety of questions and comments above. So, I'll ask a few questions to recap:

  • We do still, I assume, want to update to the newest set of Makii symbols (official set here?). But apparently this does not solve all our problems.
  • Do we also have to change our code to allow users to reference the full set of symbols?
  • Or to make the system not crash when someone references a symbols that's not there?
  • There is a suggestion to bring to commons. Why does that take a separate task? Was it done?
  • Anything else?
Yurik added a comment.Feb 11 2018, 9:48 PM

There could be a different, more powerful alternative to improving [[ https://github.com/mapbox/simplestyle-spec | simplestyle support (e.g. maki icons, etc), especially as it appears to have been mostly abandoned by Mapbox (at least I haven't heard of any changes with it)

The goal of simplestyle is to allow community to add an "info layer" on top of the base map. The simplestyle language to express this info is very limited - it basically allows region highlighting and markers, but does not handle anything more complicated, like text labels, arbitrary icons, or, more importantly - data-driven maps, e.g. choropleth maps.

Wikipedia has support for arbitrary data visualizations (including maps) with the <graph> tag. The community is already actively using it to create great complex maps.

Yet, there is one missing piece of this integration - when the map is switched to the "interactive mode" (either via maplink click, or by activating mapframe), the leaflet-based map does not show any of the Vega overlays. This can be fixed by using a simple leaflet-vega component.

Abbe98 added a subscriber: Abbe98.Apr 27 2018, 4:02 PM
MSantos changed the status of subtask T145475: Update to latest maki from Open to Stalled.Sep 18 2018, 10:07 PM
MSantos changed the task status from Open to Stalled.EditedSep 18 2018, 10:09 PM
MSantos added a subscriber: MSantos.

With the current stack it might be not possible to have latest maki version, see T145475#4595993 for further explanations.